# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) Python Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from ._models import AccessoryItem
from ._models import AuditLivenessResponseInfo
from ._models import AuditRequestInfo
from ._models import BlurProperties
from ._models import CreateLivenessSessionContent
from ._models import CreateLivenessSessionResult
from ._models import CreateLivenessWithVerifySessionResult
from ._models import ExposureProperties
from ._models import FaceAttributes
from ._models import FaceDetectionResult
from ._models import FaceError
from ._models import FaceErrorResponse
from ._models import FaceFindSimilarResult
from ._models import FaceGroupingResult
from ._models import FaceLandmarks
from ._models import FaceRectangle
from ._models import FaceVerificationResult
from ._models import FacialHair
from ._models import HairColor
from ._models import HairProperties
from ._models import HeadPose
from ._models import LandmarkCoordinate
from ._models import LivenessOutputsTarget
from ._models import LivenessResponseBody
from ._models import LivenessSession
from ._models import LivenessSessionAuditEntry
from ._models import LivenessSessionItem
from ._models import LivenessWithVerifyImage
from ._models import LivenessWithVerifyOutputs
from ._models import LivenessWithVerifySession
from ._models import MaskProperties
from ._models import NoiseProperties
from ._models import OcclusionProperties

from ._enums import AccessoryType
from ._enums import BlurLevel
from ._enums import ExposureLevel
from ._enums import FaceAttributeType
from ._enums import FaceDetectionModel
from ._enums import FaceImageType
from ._enums import FaceLivenessDecision
from ._enums import FaceRecognitionModel
from ._enums import FaceSessionStatus
from ._enums import FindSimilarMatchMode
from ._enums import GlassesType
from ._enums import HairColorType
from ._enums import LivenessModel
from ._enums import LivenessOperationMode
from ._enums import MaskType
from ._enums import NoiseLevel
from ._enums import QualityForRecognition
from ._enums import Versions

from ._patch import FaceAttributeTypeDetection01
from ._patch import FaceAttributeTypeDetection03
from ._patch import FaceAttributeTypeRecognition03
from ._patch import FaceAttributeTypeRecognition04
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "FaceAttributeTypeDetection01",
    "FaceAttributeTypeDetection03",
    "FaceAttributeTypeRecognition03",
    "FaceAttributeTypeRecognition04",
    "AccessoryItem",
    "AuditLivenessResponseInfo",
    "AuditRequestInfo",
    "BlurProperties",
    "CreateLivenessSessionContent",
    "CreateLivenessSessionResult",
    "CreateLivenessWithVerifySessionResult",
    "ExposureProperties",
    "FaceAttributes",
    "FaceDetectionResult",
    "FaceError",
    "FaceErrorResponse",
    "FaceFindSimilarResult",
    "FaceGroupingResult",
    "FaceLandmarks",
    "FaceRectangle",
    "FaceVerificationResult",
    "FacialHair",
    "HairColor",
    "HairProperties",
    "HeadPose",
    "LandmarkCoordinate",
    "LivenessOutputsTarget",
    "LivenessResponseBody",
    "LivenessSession",
    "LivenessSessionAuditEntry",
    "LivenessSessionItem",
    "LivenessWithVerifyImage",
    "LivenessWithVerifyOutputs",
    "LivenessWithVerifySession",
    "MaskProperties",
    "NoiseProperties",
    "OcclusionProperties",
    "AccessoryType",
    "BlurLevel",
    "ExposureLevel",
    "FaceAttributeType",
    "FaceDetectionModel",
    "FaceImageType",
    "FaceLivenessDecision",
    "FaceRecognitionModel",
    "FaceSessionStatus",
    "FindSimilarMatchMode",
    "GlassesType",
    "HairColorType",
    "LivenessModel",
    "LivenessOperationMode",
    "MaskType",
    "NoiseLevel",
    "QualityForRecognition",
    "Versions",
]

_patch_sdk()
